This module has been migrated to the official DoctrineModule under the Doctrine organization. Please update your submodule references and bookmarks.
Switch branches/tags
Nothing to show
Pull request Compare This branch is 75 commits ahead of EvanDotPro:master.
Fetching latest commit…
Cannot retrieve the latest commit at this time.
Permalink
Failed to load latest commit information.
bin
config
docs
src/SpiffyDoctrine
tests
.gitignore
Module.php
README.md
autoload_classmap.php
autoload_function.php
autoload_register.php

README.md

SpiffyDoctrine Module for Zend Framework 2

The SpiffyDoctrine module intends to integrate Doctrine 2 with Zend Framework 2 quickly and easily. The following features are intended to work out of the box:

  • CLI support for ORM and MongoDB-ODM.
  • Validators for EntityExists and NoEntityExists
  • Authentication adapter for Zend\Authenticator
  • Support for using existing PDO connections

Requirements

Doctrine CLI

The Doctrine CLI has been pre-configured and is available in SpiffyDoctrine\bin. It should work as is without any special configuration required for MongoODM and ORM.

Installation

See the INSTALL.md file.

Upgrading

See the UPGRADE.md file.

TODO

See the TODO.md file.